# ComponentMetadata

interface ComponentMetadata : HasAttributes

Provides a read-only view of a resolved component's metadata, which typically originates from a component descriptor (Ivy file, Maven POM).

#### Inheritors

ComponentMetadataDetails

## Functions

getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
getId
Link copied to clipboard
abstract fun getId(): ModuleVersionIdentifier
Returns the identifier of the component.
getStatus
Link copied to clipboard
abstract fun getStatus(): String
Returns the status of the component.
getStatusScheme
Link copied to clipboard
abstract fun getStatusScheme(): List<String>
Returns the status scheme of the component.
isChanging
Link copied to clipboard
abstract fun isChanging(): Boolean
Tells whether the component is changing or immutable.